Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core
Class SqlReturnResultSet

    java.lang.Object
      org.springframework.jdbc.core.SqlParameter
          org.springframework.jdbc.core.ResultSetSupportingSqlParameter
              org.springframework.jdbc.core.SqlReturnResultSet

    public class SqlReturnResultSet

extends ResultSetSupportingSqlParameter

Represents a returned `ResultSet` from a stored procedure call.

A `ResultSetExtractor`, `RowCallbackHandler` or `RowMapper` must be provided to handle any returned rows.

Returned `ResultSets` - like all stored procedure parameters - must have names.

Author:
  Thomas Risberg, Juergen Hoeller

Constructor Summary
`SqlReturnResultSet(String name, ResultSetExtractor extractor)` Create a new instance of the `SqlReturnResultSet` class.
`SqlReturnResultSet(String name, RowCallbackHandler handler)` Create a new instance of the `SqlReturnResultSet` class.
`SqlReturnResultSet(String name, RowMapper mapper)` Create a new instance of the `SqlReturnResultSet` class.

Method Summary
`boolean` | `isResultsParameter()` Return whether this parameter is an implicit return parameter used during the results preocessing of the CallableStatement.getMoreResults/getUpdateCount.

Methods inherited from class org.springframework.jdbc.core.ResultSetSupportingSqlParameter
`getResultSetExtractor, getRowCallbackHandler, getRowMapper, isInputValueProvided, isResultSetSupported`

Methods inherited from class org.springframework.jdbc.core.SqlParameter
`getName, getScale, getSqlType, getTypeName, sqlTypesToAnonymousParameterList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlReturnResultSet

    public SqlReturnResultSet(String name,
                              ResultSetExtractor extractor)

  Create a new instance of the `SqlReturnResultSet` class.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `extractor` - ResultSetExtractor to use for parsing the `ResultSet`

### SqlReturnResultSet

    public SqlReturnResultSet(String name,
                              RowCallbackHandler handler)

  Create a new instance of the `SqlReturnResultSet` class.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `handler` - RowCallbackHandler to use for parsing the `ResultSet`

### SqlReturnResultSet

    public SqlReturnResultSet(String name,
                              RowMapper mapper)

  Create a new instance of the `SqlReturnResultSet` class.

  Parameters:
    `name` - name of the parameter, as used in input and output maps
    `mapper` - RowMapper to use for parsing the `ResultSet`

Method Detail

### isResultsParameter

    public boolean isResultsParameter()

  Return whether this parameter is an implicit return parameter used during the results preocessing of the CallableStatement.getMoreResults/getUpdateCount.

  This implementation always returns `true`.

  Overrides:
    `isResultsParameter` in class `SqlParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.